# $Revision: 1.212 $, $Date: 2011/02/28 19:47:22 $
# TODO:
# - make sid-milter support:
#   http://sourceforge.net/projects/sid-milter/
#   http://www.sendmail.net/
# - http://blue-labs.org/clue/bluelabs.patch-8.12.3 has been updated upstream
# - move compilation from install to build section, fix re-entrancy of install
# - add tests bcond and/or disable tests tha fail on (AC-)builders
#
# Conditional build:
%bcond_without	ldap	# without LDAP support
%bcond_without	tls	# without TLS (SSL) support
%bcond_with	pgsql	# with PostgreSQL support (bluelabs)

Summary:	A widely used Mail Transport Agent (MTA)
Summary(de.UTF-8):	sendmail-Mail-Übertragungsagent
Summary(es.UTF-8):	Sendmail - agente de transporte de mail
Summary(fr.UTF-8):	Agent de transport de courrier sendmail
Summary(ko.UTF-8):	SMTP_AUTH와 TLS를 지원하는 Mail 전송 프로그램(MTA)
Summary(pl.UTF-8):	Sendmail - serwer poczty elektronicznej
Summary(pt_BR.UTF-8):	Sendmail - agente de transporte de mail
Summary(ru.UTF-8):	Почтовый транспортный агент sendmail
Summary(tr.UTF-8):	Elektronik posta hizmetleri sunucusu
Summary(uk.UTF-8):	Поштовий транспортний агент sendmail
Name:		sendmail
Version:	8.14.3
Release:	4
License:	BSD
Group:		Networking/Daemons/SMTP
Source0:	ftp://ftp.sendmail.org/pub/sendmail/%{name}.%{version}.tar.gz
# Source0-md5:	a5ee5d26e1f546a2da5fb9a513bd6bce
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.aliases
# From http://doc.phpauction.org/sendmail/examples/
Source4:	%{name}-examples.tar.bz2
# Source4-md5:	d00d817cd456a947a7fc6c04072a7d68
Source5:	%{name}-etc-mail-Makefile
Source6:	%{name}.mc
Source7:	%{name}-config.m4
Source8:	%{name}.sasl
Source9:	%{name}.access
Source10:	%{name}.mailertable
Source11:	%{name}.virtusertable
Source12:	%{name}.domaintable
Source13:	%{name}-smtp.pamd
Patch0:		%{name}-makemapman.patch
Patch1:		%{name}-smrsh-paths.patch
Patch2:		%{name}-rmail.patch
Patch3:		%{name}-os-paths.patch
Patch4:		%{name}-m4path.patch
Patch5:		%{name}-redirect.patch
Patch6:		%{name}-hprescan-dos.patch
Patch7:		http://blue-labs.org/clue/bluelabs.patch-8.12.3
URL:		http://www.sendmail.org/
BuildRequires:	cyrus-sasl-devel
BuildRequires:	db-devel >= 4.1.25
BuildRequires:	man
%{?with_ldap:BuildRequires:	openldap-devel >= 2.4.6}
%{?with_tls:BuildRequires:	openssl-devel >= 0.9.7d}
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	rpmbuild(macros) >= 1.310
BuildRequires:	sed >= 4.0
%ifarch sparc
BuildRequires:	sparc32
%endif
Requires(post):	awk
Requires(post):	textutils
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun):	rc-scripts >= 0.4.0.20
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	db >= 4.1.25
Requires:	m4
Requires:	pam >= 0.79.0
Requires:	procmail
Provides:	group(smmsp)
Provides:	smtpdaemon
Provides:	user(smmsp)
Obsoletes:	sendmail-cf
Obsoletes:	sendmail-doc
Obsoletes:	smtpdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/mail
%define		specflags	-fPIC

%description
The Sendmail program is a very widely used Mail Transport Agent (MTA).
MTAs send mail from one machine to another. Sendmail is not a client
program, which you use to read your e-mail. Sendmail is a
behind-the-scenes program which actually moves your e-mail over
networks or the Internet to where you want it to go.

%description -l de.UTF-8
Sendmail überträgt Mails zwischen Rechnern. Es implementiert eine
allgemeine Mail-Routing-Funktion über das Netzwerk mit Aliasing und
Weiterleiten von Nachrichten, automatischem Routing an
Netzwerk-Gateways und flexible Konfiguration. Wenn Sie E-Mails über
das Internet senden und empfangen möchten, brauchen Sie sendmail.

%description -l es.UTF-8
sendmail es un agente de transporte de correo electrónico, que mueve
mensajes entre máquinas. Implementa facilidades de internetwork y
rutado, caracterizando cambio de nombres (aliases) y envío a nuevas
direcciones ( forwarding ), rutado automático para gateways de la red
y configuración flexible. Necesitarás del sendmail si deseas enviar y
recibir mensajes a través de la Internet.

%description -l fr.UTF-8
Sendmail est un agent de transport de courrier, qui est le programme
transférent le courrier d'une machine à l'autre. Sendmail implémente
une facilité générale de routage de courrier entre les réseaux, permet
l'"aliasing" et le "forwarding", un routage automatique sur les
passerelles du réseau, et une configuration flexible.

%description -l ko.UTF-8
Sendamil은 매우 널리 사용되는 Mail 전송 프로그램이다(MTA). Mail 전송
프로그램들(MTA)은 어떠한 machine에서 다른 machine으로 메일을 보내며
Sendmail은 e-mail을 읽기위해 사용하는 client program은 아니다.
Sendamil은 원하는 곳으로 Internet이나 Network를 통해 e-mail을 보내는
역할을 하는 backgrond에서 작업을 하는 프로그램이다.

%description -l pl.UTF-8
Sendmail jest programem umożliwiającym wymianę poczty elektronicznej
między komputerami w sieci (MTA). Zajmuje się przekazywaniem poczty
elektronicznej między bramkami pocztowymi i dostarczaniem przesyłek na
konta docelowe. Bardzo dobrze obsługuje aliasy pocztowe a jego
dodatkowym atutem jest prosta konfiguracja. Dzięki rozbudowanym
możliwościom konfiguracyjnym jest w stanie dostarczać przesyłki za
pośrednictwem protokołów: SMTP, ESMTP, UUCP, X.400 i innych.

%description -l pt_BR.UTF-8
O sendmail é um agente de transporte de correio eletrônico, que move
mensagens entre máquinas. Ele implementa facilidades de internetwork e
roteamento, caracterizando troca de nomes (aliases) e remessa a novos
endereços ( forwarding ), roteamento automático para gateways da rede
e configuração flexível.

%description -l ru.UTF-8
Sendmail - это Mail Transport Agent, программа пересылающая почту с
машины на машину. Sendmail предоставляет стандартные средства
межсетевой маршрутизации почты, aliasing, forwarding, автоматическую
маршрутизацию для сетевых шлюзов и гибкий механизм конфигурации.

%description -l tr.UTF-8
Sendmail, bir mektubu bir makineden diğerine taşır. Pek çok davranışı
ayarlanabilir. Internet üzerinden mektup almak veya göndermek
istiyorsanız bu pakete gereksiniminiz olacaktır.

%description -l uk.UTF-8
Sendmail - це Mail Transport Agent, програма що пересилає пошту з
машини на машину. Sendmail надає стандартні засоби міжмережевої
маршрутизації пошти, aliasing, forwarding, автоматичну маршрутизацію
для мережевих шлюзів та гнучкий механізм маршрутизації.

%package -n libmilter-devel
Summary:	Header files and static libmilter library
Summary(pl.UTF-8):	Pliki nagłówkowe i statyczna biblioteka libmilter
Group:		Development/Libraries
Provides:	sendmail-devel
Obsoletes:	sendmail-devel

%description -n libmilter-devel
Header files and static libmilter library.

%description -n libmilter-devel -l pl.UTF-8
Pliki nagłówkowe i statyczna biblioteka libmilter.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%{?with_pgsql:%patch7 -p1}

sed -e 's|@@PATH@@|\.\.|' < %{SOURCE6} > cf/cf/pld.mc

cp -p %{SOURCE7} config.m4

# Ac-specific hack:
# It's problem with _simultanous_ building when builders are on the same
# machine. These are anonymous SHM tests (AFAIR) which must fail when called
# simultanously...
#
# send on builders requests only for some arch - it won't fail.
#- blues
%ifarch i386 i586 athlon
%{__sed} -i -e 's/^\(smtest.*t-shm\)/dnl \1/' libsm/Makefile.m4
%{__sed} -i -e 's/^\(smtest.*t-sem\)/dnl \1/' libsm/Makefile.m4
%endif

%build
echo "define(\`confCC', \`%{__cc}')" >> config.m4
%ifarch sparc sparc64
echo "define(\`confOPTIMIZE', \`%{rpmcflags} -DUSE_VENDOR_CF_PATH=1 -DSM_CONF_SEM=0 -DNETINET6')" >> config.m4
%else
echo "define(\`confOPTIMIZE', \`%{rpmcflags} -DUSE_VENDOR_CF_PATH=1 -DNETINET6')" >> config.m4
%endif
echo "APPENDDEF(\`confINCDIRS', \`-I/usr/include/sasl')" >> config.m4
echo "define(\`confLIBSEARCHPATH', \`/%{_lib} %{_prefix}/%{_lib}')" >> config.m4
echo "define(\`confLIBSEARCH', \`db resolv')" >> config.m4
%if 0%{!?debug:1}
echo "define(\`confLDOPTS', \`-s')" >> config.m4
%endif
%if %{with ldap}
echo "APPENDDEF(\`confMAPDEF', \`-DLDAPMAP')" >> config.m4
echo "APPENDDEF(\`confLIBS', \`-lldap -llber')" >> config.m4
%endif
%if %{with pgsql}
echo "APPENDDEF(\`confENVDEF', \`-DSASL')" >> config.m4
echo "APPENDDEF(\`confMAPDEF', \`-DPGSQLMAP')" >> config.m4
echo "APPENDDEF(\`confLIBS', \`-lpq -lresolv')" >> config.m4
echo "APPENDDEF(\`confLIBS', \`-lsasl -lcrypto')" >> config.m4
%endif
%if %{with tls}
echo "APPENDDEF(\`confENVDEF', \`-DSTARTTLS')" >> config.m4
echo "APPENDDEF(\`confENVDEF', \`-D_FFR_DEAL_WITH_ERROR_SSL')" >> config.m4
echo "APPENDDEF(\`confLIBS', \`-lssl -lcrypto')" >> config.m4
echo "APPENDDEF(\`confENVDEF', \`-D_FFR_SMTP_SSL')" >> config.m4
%endif

echo "APPENDDEF(\`confENVDEF', \`-DMILTER')" >> config.m4

%ifarch sparc
%define		Build		sparc32 sh Build
%else
%define		Build		sh Build
%endif

cd sendmail	&& %{Build} -f ../config.m4
cd ../mailstats	&& %{Build} -f ../config.m4
cd ../rmail	&& %{Build} -f ../config.m4
cd ../makemap	&& %{Build} -f ../config.m4
cd ../praliases	&& %{Build} -f ../config.m4
cd ../smrsh	&& %{Build} -f ../config.m4
cd ../libmilter	&& %{Build} -f ../config.m4
cd ../cf/cf
m4 pld.mc > pld.cf

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man{1,5,8} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,pam.d,monit,sysconfig,sasl,smrsh,security} \
	$RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_prefix}/lib} \
	$RPM_BUILD_ROOT{%{_datadir}/sendmail-cf,%{_libdir}} \
	$RPM_BUILD_ROOT/var/{log,spool/mqueue} \
	$RPM_BUILD_ROOT{%{_sysconfdir},%{_includedir}}

OBJDIR=obj.$(uname -s).$(uname -r).$(\
%ifarch sparc
sparc32 \
%endif
uname -m)

IDNU=`id -nu`
IDNG=`id -ng`
SMINSTOPT="DESTDIR=$RPM_BUILD_ROOT SBINOWN=$IDNU SBINGRP=$IDNG \
	UBINOWN=$IDNU UBINGRP=$IDNG MANOWN=$IDNU MANGRP=$IDNG \
	CFOWN=$IDNU CFGRP=$IDNG MSPQOWN=$IDNU GBINGRP=$IDNG GBINOWN=$IDNU \
	BINOWN=$IDNU BINGRP=$IDNG LIBOWN=$IDNU LIBGRP=$IDNG INCOWN=$IDNU INCGRP=$IDNG"

%{__make} -C $OBJDIR/sendmail install \
	$SMINSTOPT
%{__make} -C $OBJDIR/mailstats install \
	$SMINSTOPT
%{__make} -C $OBJDIR/praliases install \
	$SMINSTOPT
%{__make} -C $OBJDIR/rmail force-install \
	$SMINSTOPT
%{__make} -C $OBJDIR/makemap install \
	$SMINSTOPT
%{__make} -C $OBJDIR/smrsh install \
	$SMINSTOPT
%{__make} -C $OBJDIR/libmilter install \
	$SMINSTOPT \
	LIBDIR=%{_libdir}

ln -sf %{_sbindir}/makemap $RPM_BUILD_ROOT%{_bindir}/makemap

# install the cf files
cd cf
rm -f cf/{Build,Makefile}
rm -f feature/*~  feature/*.orig
cp -a * $RPM_BUILD_ROOT%{_datadir}/sendmail-cf
cd -

# sendmail.{cf,mc}
cp -p cf/cf/pld.cf $RPM_BUILD_ROOT%{_sysconfdir}/sendmail.cf
sed -e 's|@@PATH@@|%{_datadir}/sendmail-cf|' < %{SOURCE6} \
	> $RPM_BUILD_ROOT%{_sysconfdir}/sendmail.mc

%if %{with pgsql}
cp -p bluelabs.mc $RPM_BUILD_ROOT%{_sysconfdir}/bluelabs.mc
%endif

# submit.mc (submit.cf is installed automatically)
cp -p cf/cf/submit.mc $RPM_BUILD_ROOT%{_sysconfdir}

echo "# local-host-names - include all aliases for your machine here." \
	> $RPM_BUILD_ROOT%{_sysconfdir}/local-host-names

ln -sf %{_sbindir}/sendmail $RPM_BUILD_ROOT%{_prefix}/lib/sendmail

# dangling symlinks
for f in hoststat mailq newaliases purgestat; do
	ln -sf %{_sbindir}/sendmail $RPM_BUILD_ROOT%{_bindir}/${f}
done

for map in virtusertable access domaintable mailertable; do
	touch $RPM_BUILD_ROOT%{_sysconfdir}/${map}
	$RPM_BUILD_ROOT%{_sbindir}/makemap -C $RPM_BUILD_ROOT%{_sysconfdir}/sendmail.cf hash \
		$RPM_BUILD_ROOT%{_sysconfdir}/${map}.db < $RPM_BUILD_ROOT%{_sysconfdir}/${map}
done

install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/aliases
$RPM_BUILD_ROOT%{_sbindir}/makemap -C $RPM_BUILD_ROOT%{_sysconfdir}/sendmail.cf hash \
	$RPM_BUILD_ROOT%{_sysconfdir}/aliases.db < %{SOURCE3}

cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/sendmail
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/sendmail
cp -p %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/Makefile
cp -p %{SOURCE8} $RPM_BUILD_ROOT/etc/sasl/Sendmail.conf
cp -p %{SOURCE13} $RPM_BUILD_ROOT/etc/pam.d/smtp
cp -p %{SOURCE9} $RPM_BUILD_ROOT%{_sysconfdir}/access
cp -p %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/mailertable
cp -p %{SOURCE11} $RPM_BUILD_ROOT%{_sysconfdir}/virtusertable
cp -p %{SOURCE12} $RPM_BUILD_ROOT%{_sysconfdir}/domaintable

touch $RPM_BUILD_ROOT/etc/security/blacklist.smtp

mv -f smrsh/README README.smrsh
mv -f cf/README README.cf
mv -f doc/op/op.me .

bzip2 -dc %{SOURCE4} | tar xf -

# for perl-Sendmail-Milter
install $OBJDIR/libsm/libsm.a $OBJDIR/libsmutil/libsmutil.a \
	$RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 25 smmsp
%useradd -u 25 -d /var/spool/clientqueue -s /bin/false -c "Sendmail Message Submission Program" -g smmsp smmsp

%post
umask 022
#
# Convert old format to new
#
if [ -f /etc/mail/deny ] ; then
	cat /etc/mail/deny | \
		awk 'BEGIN{ print "# Entries from obsoleted /etc/mail/deny"} \
		{print $1" REJECT"}' >> /etc/mail/access
	mv -f /etc/mail/deny /etc/mail/deny.rpmorig
fi
for oldfile in relay_allow ip_allow name_allow ; do
	if [ -f /etc/mail/$oldfile ] ; then
		cat /etc/mail/$oldfile | \
			awk "BEGIN { print \"# Entries from obsoleted /etc/mail/$oldfile\" ;} \
			{ print $1\" RELAY\" }" >> /etc/mail/access
		mv -f /etc/mail/$oldfile /etc/mail/$oldfile.rpmorig
	fi
done

#
# Oops, these files moved
#
if [ -f /etc/sendmail.cw ] ; then
	cat /etc/sendmail.cw | \
		awk 'BEGIN { print "# Entries from obsoleted /etc/sendmail.cw" ;} \
		{ print $1 }' >> /etc/mail/local-host-names
	mv -f /etc/sendmail.cw /etc/sendmail.cw.rpmorig
fi
#
# Rebuild maps (next reboot will rebuild also)
#
{ /usr/bin/newaliases
 for map in virtusertable access domaintable mailertable; do
	if [ -f /etc/mail/${map} ] ; then
		/usr/bin/makemap hash /etc/mail/${map} < /etc/mail/${map}
		sleep 1
	fi
 done
} > /dev/null 2>&1

/sbin/chkconfig --add sendmail
%service sendmail restart "sendmail daemon"

%preun
if [ "$1" = "0" ]; then
	%service sendmail stop
	/sbin/chkconfig --del sendmail
fi

%postun
if [ "$1" = "0" ]; then
	%userremove smmsp
	%groupremove smmsp
fi

# removal of compatibility links
%triggerpostun -- sendmail < 8.10.1
/sbin/chkconfig --add sendmail

%files
%defattr(644,root,root,755)
%doc FAQ KNOWNBUGS README* op.me RELEASE_NOTES examples/
%attr(755,root,root) %{_sbindir}/mailstats
%attr(755,root,root) %{_sbindir}/praliases
%attr(755,root,root) %{_bindir}/hoststat
%attr(755,root,root) %{_bindir}/purgestat
%attr(755,root,root) %{_bindir}/rmail
%attr(755,root,root) %{_bindir}/makemap
%attr(755,root,root) %{_sbindir}/makemap
%attr(2755,root,smmsp) %{_sbindir}/sendmail
%attr(755,root,root) %{_bindir}/newaliases
%attr(755,root,root) %{_bindir}/mailq
%attr(755,root,root) %{_sbindir}/smrsh
%{_prefix}/lib/sendmail

%{_mandir}/man1/mailq.1*
%{_mandir}/man1/newaliases.1*
%{_mandir}/man5/aliases.5*
%{_mandir}/man8/mailstats.8*
%{_mandir}/man8/makemap.8*
%{_mandir}/man8/praliases.8*
%{_mandir}/man8/rmail.8*
%{_mandir}/man8/sendmail.8*
%{_mandir}/man8/smrsh.8*

%dir /etc/smrsh
%dir %{_sysconfdir}
/var/log/statistics
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sendmail.cf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sendmail.mc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/submit.cf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/submit.mc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/local-host-names
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/aliases
%{?with_pgsql:%{_sysconfdir}/bluelabs.mc}
%attr(644,root,mail) %ghost %{_sysconfdir}/aliases.db
%attr(770,root,smmsp) %dir /var/spool/clientmqueue
%attr(750,root,mail) %dir /var/spool/mqueue

%config %{_sysconfdir}/Makefile
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/access
%ghost %{_sysconfdir}/access.db
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/domaintable
%ghost %{_sysconfdir}/domaintable.db
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mailertable
%ghost %{_sysconfdir}/mailertable.db
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/virtusertable
%ghost %{_sysconfdir}/virtusertable.db
%config(noreplace) %{_sysconfdir}/helpfile

%attr(754,root,root) /etc/rc.d/init.d/sendmail
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/sendmail
%config(noreplace) %verify(not md5 mtime size) /etc/sasl/Sendmail.conf
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/smtp
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.smtp

%dir %{_datadir}/sendmail-cf
%dir %{_datadir}/sendmail-cf/cf
%{_datadir}/sendmail-cf/cf/pld.mc
%{_datadir}/sendmail-cf/feature
%{_datadir}/sendmail-cf/m4
%{_datadir}/sendmail-cf/mailer
%dir %{_datadir}/sendmail-cf/ostype
%{_datadir}/sendmail-cf/ostype/linux.m4
%dir %{_datadir}/sendmail-cf/sh
%{_datadir}/sendmail-cf/sh/makeinfo.sh
%{_datadir}/sendmail-cf/siteconfig

%files -n libmilter-devel
%defattr(644,root,root,755)
%{_libdir}/libmilter.a
%{_libdir}/libsm.a
%{_libdir}/libsmutil.a
%{_includedir}/libmilter

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sendmail.spec,v $
Revision 1.212  2011/02/28 19:47:22  glen
- do not package .orig files

Revision 1.211  2010/04/12 19:29:56  arekm
- release 3

Revision 1.210  2008/10/25 15:25:21  blues
- SMTP group

Revision 1.209  2008/06/12 20:32:46  qboosh
- .monitrc moved to separate package (monit-rc-sendmail.spec)

Revision 1.208  2008-06-12 19:47:29  arekm
- up to 8.14.3

Revision 1.207  2007-11-18 18:26:43  arekm
- rel 11

Revision 1.206  2007-11-03 02:10:04  baggins
- updated openldap BR/R to 2.4.6

Revision 1.205  2007/08/21 12:31:39  tommat
- builds on sparc

Revision 1.204  2007/08/21 08:12:09  tommat
- make it build on sparc64

Revision 1.203  2007/08/06 18:17:22  shadzik
- hopefully fix build on all archs
- rel 10

Revision 1.202  2007/08/06 12:58:58  patrys
- don't obsolete by name

Revision 1.201  2007/07/21 09:43:11  tommat
- enable sparc32 build on 64bit kernel

Revision 1.200  2007/07/13 20:37:34  arekm
- don't provide /usr/lib/sendmail. It's already provides; see rpm -q --fileprovide.

Revision 1.199  2007/07/13 18:30:37  twittner
- added Provides: /usr/lib/sendmail
- rel. up

Revision 1.198  2007/04/29 12:29:29  arekm
- some fixed but it still doesn't build

Revision 1.197  2007/03/27 16:00:36  baggins
- unify blacklists for pam configs

Revision 1.196  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.195  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.194  2007/01/10 21:10:08  shadzik
- P: and O: sendmail-devel in libmilter-devel subpackage

Revision 1.193  2007/01/10 18:59:38  shadzik
- rename sendmail-devel to libmilter-devel
- rel 5

Revision 1.192  2007/01/10 03:51:03  shadzik
- -devel provides /usr/lib/libmilter.a
- rel 4

Revision 1.191  2006/12/27 18:21:23  glen
- no special permission needed for monitrc file; rel 3

Revision 1.190  2006/09/09 14:24:43  glen
- updated tests failure reason (update from blues)

Revision 1.189  2006/09/09 14:17:39  glen
- athlon fails t-sem

Revision 1.188  2006/09/09 14:16:36  glen
- t-sem fails too

Revision 1.187  2006/09/09 14:15:25  glen
- update todo

Revision 1.186  2006/09/09 01:35:44  glen
- rel 2 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.185  2006/09/02 20:34:47  glen
- cp -a implies cp -r

Revision 1.184  2006/08/31 09:37:28  glen
- CVE ref to 8.13.8 release

Revision 1.183  2006/08/10 13:32:11  rotom
- up to 8.13.8 [CVE-2006-4434]

Revision 1.182  2006/07/27 11:32:31  matowy
- added URL

Revision 1.181  2006/07/27 10:46:32  glen
- 1.310 macros instead of fixperms hack

Revision 1.180  2006/06/14 20:19:48  glen
-  8.13.7 (CVE-2006-1173, VU#146718 according to SuSE SA)

Revision 1.179  2006/05/25 21:09:42  glen
- recompile with -fPIC for amd64 and alpha; rel 5

Revision 1.178  2006/05/24 08:31:28  glen
- install libsm.a and libsmutil.a for perl-Sendmail-Milter; rel 4

Revision 1.177  2006/04/14 16:06:16  glen
- rel 3

Revision 1.176  2006/03/23 06:21:24  qboosh
- removed obsolete security comment

Revision 1.175  2006/03/23 00:12:06  glen
- shm hack for ac-{i586,i686}, rel 2

Revision 1.174  2006/03/22 23:39:30  glen
- update to 8.13.6, resolves CVE-2006-0058

Revision 1.173  2006/03/22 21:18:53  arekm
- serious security bug

Revision 1.172  2006/03/13 23:14:32  glen
- use %service

Revision 1.171  2006/02/19 21:58:00  qboosh
- updated to 8.13.5, dropped db3 bcond

Revision 1.170  2006/01/17 15:43:34  baggins
- release 5
- BR openldap 2.3

Revision 1.169  2006/01/08 21:07:13  glen
- rel 4

Revision 1.168  2006/01/08 02:15:20  glen
- amd64 affected too with non-operational shm for test

Revision 1.167  2006/01/07 12:15:46  glen
- rel 3 to build with initscript fixes

Revision 1.166  2005/12/01 11:26:19  glen
- require rc-scripts 0.4.0.20 for --pidfile with full path
- partial adapterize

Revision 1.165  2005/05/12 14:40:38  baggins
- release 2
- req pam 0.79

Revision 1.164  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.163  2005/03/08 08:58:36  tiwek
- up to 8.13.3

Revision 1.162  2005/01/25 01:32:23  ankry
- rel. 3

Revision 1.161  2005/01/21 19:22:57  ankry
- amd64 fix, needs testing

Revision 1.160  2004/10/07 20:35:21  blues
- release 2 for AC

Revision 1.159  2004/10/07 20:15:17  blues
- ooops - left from tests...

Revision 1.158  2004/10/07 19:57:37  blues
- 8.13.1 - works.

Revision 1.157  2004/10/07 09:23:29  blues
- TODO added

Revision 1.156  2004/09/15 21:05:18  ankry
- %userremove/%groupremove support
- some standardization

Revision 1.155  2004/07/16 12:34:37  blues
- typo

Revision 1.154  2004/07/16 12:29:55  blues
- added file for monit to enable automatic monitoring

Revision 1.153  2004/07/13 12:21:44  blues
- release 9 - important bugfix in init scripts (add sm-client run)

Revision 1.152  2004/06/06 15:53:28  hawk
- release 8

Revision 1.151  2004/06/05 23:56:56  qboosh
- fixed build on amd64, release 6

Revision 1.150  2004/06/05 23:17:16  hawk
- release 5, STBR

Revision 1.149  2004/05/06 16:20:15  qboosh
- fixed -devel package (or maybe it should be libmilter-devel?)

Revision 1.148  2004/05/06 15:44:54  tiwek
- cleanup
- release 4

Revision 1.147  2004/05/06 07:38:42  tiwek
- added devel subbpackage with libmilter lib and header files needed
  to build amavisd-milter

Revision 1.146  2004/04/03 19:52:02  averne
- rel3 for Ac

Revision 1.145  2004/03/19 23:46:35  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.144  2004/03/16 13:46:34  averne
- rel2 for rebuild with new openldap

Revision 1.143  2004/03/12 18:31:00  qboosh
- release 1

Revision 1.142  2004/03/12 14:32:36  qboosh
- try to fix amd64 and ac-i386 build, test release 0.2

Revision 1.141  2004/03/04 21:47:30  qboosh
- grrr... smrsh-paths patch is back (updated)

Revision 1.140  2004/03/04 16:46:52  tiwek
- updated to 8.12.11
- added milter and ssl (smtps) compile opt.
- release 0.1 (build and works but tests 5 minutes)

Revision 1.139  2004/02/25 21:47:53  blues
- obsoletes nullmailer and ssmtp

Revision 1.138  2004/02/24 20:59:46  blues
- obsoletes courier

Revision 1.137  2003/12/16 21:22:34  qboosh
- new-style bconds

Revision 1.136  2003/12/02 09:53:35  tiwek
- added FFR_DEAL_WITH_ERROR_SSL
- release++

Revision 1.135  2003/09/30 20:18:33  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.134  2003/09/30 08:25:08  blues
- smrsh-paths patch is back - I'll kill everyone who'll spoil smrsh again

Revision 1.133  2003/09/29 22:30:46  blues
- release 4 - make smrsh (@%@#%@^#@) usable

Revision 1.132  2003/09/28 15:04:12  tiwek
- added man to BR

Revision 1.131  2003/09/26 14:25:08  baggins
- release 3

Revision 1.130  2003/09/26 14:20:26  baggins
- req pam >= 0.77.3

Revision 1.129  2003/09/22 10:01:33  wiget
- updated to 8.12.10

Revision 1.128  2003/09/17 20:38:43  blues
- cosmetics

Revision 1.127  2003/09/17 16:36:33  misi3k
- damm parseaddr == prescan patch

Revision 1.126  2003/09/17 16:26:57  misi3k
- rel 3
- added security patch
CVE: CAN-2003-0694
BUG:(bugtraq,lcamtuf):
There seems to be a remotely exploitable
vulnerability in Sendmail up to
and including the latest version, 8.12.9.
The problem lies in prescan() function,
but is not related to previous issues with this code.

Revision 1.125  2003/09/16 22:54:48  krzak
- fix bug in parseaddr.c
- rel.2

Revision 1.124  2003/08/12 22:32:53  ankry
- cosmetics

Revision 1.123  2003/05/28 13:01:49  malekith
- massive attack: source-md5

Revision 1.122  2003/05/25 06:26:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.121  2003/03/29 19:44:14  misi3k
- security update to 8.12.9
BUGS (bugtraq):
SECURITY: Fix a buffer overflow in address parsing due to
		a char to int conversion problem which is potentially
		remotely exploitable.  Problem found by Michal Zalewski.
  		Note: an MTA that is not patched might be vulnerable to
		data that it receives from untrusted sources, which
		includes DNS.
	To provide partial protection to internal, unpatched sendmail MTAs,
		8.12.9 changes by default (char)0xff to (char)0x7f in
		headers etc.  To turn off this conversion compile with
		-DALLOW_255 or use the command line option -d82.101.
	To provide partial protection for internal, unpatched MTAs that may be
		performing 7->8 or 8->7 bit MIME conversions, the default
		for MaxMimeHeaderLength has been changed to 2048/1024.
		Note: this does have a performance impact, and it only
		protects against frontal attacks from the outside.
		To disable the checks and return to pre-8.12.9 defaults,

Revision 1.120  2003/03/14 19:53:03  djurban
- fixed build on without ldap

Revision 1.119  2003/03/05 07:28:29  kloczek
- merge ko translations from MIZI.

Revision 1.118  2003/03/03 18:52:16  qboosh
- security update to 8.12.8 (remote root by buf.ov. in message header parsing)

Revision 1.117  2003/02/13 14:05:25  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.116  2003/02/10 20:44:12  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.115  2003/02/01 20:44:22  qboosh
- added -I/usr/include/sasl (it's ready for sasl2 now)
- changed pwcheck_method from pam to saslauthd (required by SASLv2)
- extended pam.d/smtp file basing on pam.d/cyrus (account is required by SASLv2)
- release 2

Revision 1.114  2002/12/30 22:14:38  qboosh
- use db by default (4.1.25 required!), bcond for db3
- removed RPM_OPT_FLAGS from sendmail-config.m4 (broke --debug)

Revision 1.113  2002/12/30 12:28:09  qboosh
- 8.12.7, removed 2 last security patches (already in sources)

Revision 1.112  2002/12/30 09:17:24  blues
- release 4 - security update

Revision 1.111  2002/10/26 20:54:42  qboosh
- use makemap in buildroot directly (no matter which links there will be)

Revision 1.110  2002/10/25 14:19:41  qboosh
- use absolute symlinks between directories; release 3

Revision 1.109  2002/10/15 10:49:33  qboosh
- added workaround to avoid unnecessary linking with -lbind and -lresolv

Revision 1.108  2002/10/14 16:11:02  dzimi
- rel 2
- security update:
  add smrsh-20020924.patch (CAN-2002-1165, fix execution arbitrary code via
  local system)

Revision 1.107  2002/08/27 18:56:04  qboosh
- added missing smrsh(8) man page

Revision 1.106  2002/08/27 07:59:42  lukasz
- 8.12.6 - it fixes mostly minor bugs

Revision 1.105  2002/08/18 10:09:06  kloczek
- release 6: merge translations from Conectiva.

Revision 1.104  2002/08/17 21:03:29  qboosh
- better messages in pre

Revision 1.103  2002/06/26 07:34:34  lukasz
- up to 8.12.5

Revision 1.102  2002/06/04 12:58:23  blues
- 8.12.4 - quite important security update
- updated one patch
- STBR

Revision 1.101  2002/05/21 14:24:06  qboosh
- removed /etc/pam.d dir from package; new %doc; release 5

Revision 1.100  2002/04/26 17:47:43  bartowl
- added conditional (def:off) support for pgsql maps (http://blue-labc.org/clue/sendmail.php)

Revision 1.99  2002/04/22 06:29:22  kloczek
- release 4.

Revision 1.98  2002/04/21 14:35:38  qboosh
- fixed examples unpacking
- removed unused check.tar from sources (obsoleted long time ago)

Revision 1.97  2002/04/19 10:15:57  ankry
- moved examples into tar file

Revision 1.96  2002/04/17 10:18:51  baseciq
- added some descriptions in db config files (access, virtusertable, mailertable, domaintable) - it was empty by default;
- added 'examples' directory to doc;

Revision 1.95  2002/04/16 17:38:14  qboosh
- samples moved to %doc - no junk in /etc please

Revision 1.94  2002/04/16 12:39:30  qboosh
- renamed aliases and pamd files to standarized names

Revision 1.93  2002/04/15 00:24:36  aflinta
- added sample config files for mailtertable, access, virtusertable and
  domaintable
- fixed missing /etc/pam.d/smtp (required by /etc/sasl/Sendmail.conf)
- relesase 3?
- All changes made by Baseciq

Revision 1.92  2002/04/10 23:30:49  kloczek
- release 2: fix in sendmail.mc: confAUTO_REBUILD is no longer valid -
  there was a potential for a denial of service attack if this is set
  (fixed by jack).

Revision 1.91  2002/04/07 08:37:16  kloczek
- updated to 8.12.3 (bugfix version),
- removed dtelnet patch,
- fixed passing compilator name and compile options,
- merge translations from KSI.

Revision 1.90  2002/03/20 23:52:30  kloczek
- release 4.

Revision 1.89  2002/03/14 00:09:11  qboosh
- removed obsolete _with_auth remains from spec

Revision 1.88  2002/03/13 10:56:40  qboosh
- added LOGIN auth and noetrn,authwarnings to PRIVACY_FLAGS in sendmail.mc,
  removed obsolete auth patch
- removed pld.mc patch (obsoleted long time ago), s/redhat\.(mc|cf)/pld.\1/
- release 3

Revision 1.87  2002/03/06 23:03:47  jack
- forgotten one '}'

Revision 1.86  2002/03/06 22:59:53  jack
- Added conditional requires cyrus-sasl-login

Revision 1.85  2002/03/06 15:30:02  ankry
- forgotten: release 2

Revision 1.84  2002/03/06 15:26:27  ankry
- avoid multiple processing obsoleted config files ("mv" instead of "cp")

Revision 1.83  2002/03/06 12:40:50  jack
- Updated to 8.12.2
- Added conditional build with AUTH,
- Both (with or without AUTH) build and work OK
- Thx Baseciq for inspiration ;)

Revision 1.82  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.81  2002/02/18 13:17:58  gotar
- fixed Requires.

Revision 1.80  2002/02/16 17:09:06  qboosh
- release 5: aliases.db has group root, not mail

Revision 1.79  2002/01/31 13:46:58  adasi
- added procmail to requires

Revision 1.78  2002/01/18 02:14:53  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.77  2002/01/11 15:51:43  kloczek
- release 4.

Revision 1.76  2002/01/07 13:11:30  blues
- mqueue directory does not have to be group-writeable

Revision 1.75  2002/01/06 13:08:27  kloczek
- release 3.

Revision 1.74  2002/01/03 23:08:59  gotar
- PreReq -> Requires(pre): {/usr/bin/getgid,/bin/id},
- Requires(post): {awk,textutils}.

Revision 1.73  2001/12/28 17:13:08  gotar
- added %verify flags for config files,
- release 2.

Revision 1.72  2001/12/06 22:12:17  filon
- it really doesn't require pam-devel

Revision 1.71  2001/10/01 22:11:01  blues
- 8.12.1
- STB: security update

Revision 1.70  2001/10/01 10:25:48  blues
- smsp had UID and GID 25 ...

Revision 1.69  2001/09/26 00:18:31  qboosh
- fix in %files
- one more fix in dtelnet patch, DESTDIR-related fix in makefile patch
- added STARTTLS support

Revision 1.68  2001/09/25 21:19:50  qboosh
- adding/deleting smmsp user+group in pre/postun
- simplified installing doc
- some updates in %install and %files (NFY)

Revision 1.67  2001/09/24 09:25:19  kloczek
- removed commented Patch0 and cut %changelog.

Revision 1.66  2001/09/24 09:17:54  qboosh
- one more fix in install; builds, but not tested yet

Revision 1.65  2001/09/24 08:49:21  qboosh
- removed aliasesDoS patch (obsolete)

Revision 1.64  2001/09/24 08:35:07  qboosh
- updated smrsh-path, dtelnet, hprescan-dos patches
- manpath patch merged with part of redhat patch and named os-paths patch

Revision 1.63  2001/09/20 00:24:28  blues
- some work in install

Revision 1.62  2001/09/14 19:28:08  dzimi
- 8.12.0
- not finished yet

Revision 1.61  2001/09/08 14:17:34  kloczek
- release 4.

Revision 1.60  2001/09/08 13:58:18  blues
- obsoletes omta

Revision 1.59  2001/08/30 11:19:20  kloczek
- release 3: added masqmail to Obsoletes.

Revision 1.58  2001/08/21 08:56:04  areq
- 8.11.6, STBR

Revision 1.57  2001/08/12 19:27:15  qboosh
- SASL configuration file must be Sendmail.conf, not sendmail (see sources)
- enabled some SASL auth mechanisms in default sendmail.mc
- release 2
